HomeTokenhotAPI Document
Tools
language
language
  • 中文
  • English
HomeTokenhotAPI Document
Tools
language
language
  • 中文
  • English
  1. DOUBAO
  • OpenAI-Compatible Format — Unified LLM API Documentation
  • Online Video Experience Hub
  • Quick Start
  • Image Models
    • DOUBAO
      • doubao-seedream-4-0-250828
      • doubao-seedream-4-5-251128
      • doubao-seedream-5-0-260128
      • doubao-seedream-4-0-250828 (image editing)
      • doubao-seedream-4-5-251128 (Picture editing)
      • doubao-seedream-5-0-260128 (image editing)
    • GPT
      • GPT Image-1.5
      • GPT Image-1.5 (image editing)
      • GPT Image-2
      • GPT Image-2 (image editing)
    • Gemini
      • gemini-3-pro-image-preview
      • gemini-3-pro-image-preview (image editing)
      • gemini-2.5-flash-image
      • gemini-2.5-flash-image (image editing)
      • gemini-3.1-flash-image-preview
      • gemini-3.1-flash-image-preview (image editing)
    • Dall
      • dall-e-2
      • dall-e-3
    • Wan
      • wan2.6-image (image editing)
      • wan2.6-image
    • Qwen
      • qwen-image-edit-max-2026-01-16
      • qwen-image-max
      • qwen-image-plus-2026-01-09
  • Video Models
    • DOUBAO
      • doubao-seedance-2-0-260128
        POST
      • doubao-seedance-2.0 (Get video task information)
        GET
      • doubao-seedance-2.0-V2V (Get video task information)
        GET
      • doubao-seedance-2.0-fast (get video task information)
        GET
      • doubao-seedance-2.0-fast-V2V (Get video task information)
        GET
      • doubao-seedance-2.0
        POST
      • doubao-seedance-2.0-V2V
        POST
      • doubao-seedance-2.0-fast
        POST
      • doubao-seedance-2.0-fast-V2V
        POST
      • doubao-seedance-1-5-pro-251215
        POST
      • doubao-seedance-1-5-pro-251215 (Get video task information)
        GET
    • Sora
      • Sora-2
      • Sora-2 (Get Video Task Status)
      • Sora-2 (Get Video Content)
    • MiniMax
      • MiniMax-Hailuo-02
      • MiniMax-Hailuo-2.3
      • MiniMax-Hailuo-2.3-Fast
      • Hailuo Get Video Info
    • HappyHorse
      • happyhorse-1.0-i2v
      • happyhorse-1.0-r2v
      • happyhorse-1.0-t2v
      • happyhorse-1.0-video-edit
      • HappyHorse Get Video Info
  • Chat Models
    • Claude
      • claude-sonnet-4-5-20250929
      • claude-opus-4-6
      • claude-opus-4-6-cc
    • GPT
      • GPT 5
      • GPT 5(Responses)
      • GPT 5.2
      • GPT 5.2(Responses)
      • GPT 5.4
      • GPT 5.4(Responses)
    • Gemini
      • gemini-2.5-flash
      • gemini-2.5-pro
      • gemini-3-flash-preview
      • gemini-3.1-pro
      • gemini-3.1-pro-preview
      • gemini-3.1-pro-preview (streaming)
    • Grok
      • grok-4.1
  • Audio Models
    • Gemini
      • gemini-2.5-flash-preview-tts
      • gemini-2.5-pro-preview-tts
    • Whisper
      • whisper-1 (audio translation)
      • whisper-1 (Audio to Chinese)
  • Serve
    • Terms of Service
    • Privacy agreement
  1. DOUBAO

doubao-seedance-2.0-V2V (Get video task information)

GET
https://api.tokenhot.ai/v1/video/generations/{task_id}
Actual API Endpoint: * * get https://api.tokenhot.ai/v1/video/generations/ {task_id}
Model Code: * * doubao-seedance-2.0-V2V (Get video task information)

Request

Authorization
or
Path Params

Responses

🟢200
application/json
Request successful
Bodyapplication/json

🟠400400 en
🟠401401 en
🔴503503 en
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.tokenhot.ai/v1/video/generations/'
Response Response Example
200 - Example 1
{
    "code": "success",
    "message": "",
    "data": {
        "task_id": "task_JaURYzdMLazxxxxxxxPvwEWnyHSDlS",
        "status": "SUCCESS",
        "result_url": "https://xxxxxx.volces.com/...",
        "progress": "100%",
        "submit_time": 0,
        "start_time": 0,
        "finish_time": 0,
        "properties": {
            "upstream_model_name": "doubao-seedance-2-0",
            "origin_model_name": "doubao-seedance-2.0"
        },
        "data": {
            "status": "succeeded",
            "duration": 5,
            "framespersecond": 24,
            "ratio": "16:9",
            "resolution": "720p",
            "seed": 86077,
            "usage": {
                "total_tokens": 109586
            }
        }
    }
}
Modified at 2026-05-29 02:58:01
Previous
doubao-seedance-2.0 (Get video task information)
Next
doubao-seedance-2.0-fast (get video task information)
Built with